package com.ssj.bean.conch.conch.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @Author: chchen
 * @Description
 * @Date Create in 15:20 2019/10/12
 * @Modified By
 */
public class HomeworkRecordDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String date;

    private String dateweek;

    /**
     * 类别， 0待批改，1模糊，2补拍，3作业不全，5已批改
     */
    private int type;

    private Integer notCorrectedCount;

    private String homeworkId;

    private String subject;

    private List<BriefHomeworkPictureDto> homeworkPictures = new ArrayList<>();

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getDateweek() {
        return dateweek;
    }

    public void setDateweek(String dateweek) {
        this.dateweek = dateweek;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public Integer getNotCorrectedCount() {
        return notCorrectedCount;
    }

    public void setNotCorrectedCount(Integer notCorrectedCount) {
        this.notCorrectedCount = notCorrectedCount;
    }

    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        switch (subject){
            case "语文": this.subject = "YUWEN"; break;
            case "英语": this.subject = "YINGYU"; break;
            default: this.subject = "SHUXUE";
        }
    }

    public List<BriefHomeworkPictureDto> getHomeworkPictures() {
        return homeworkPictures;
    }

    public void setHomeworkPictures(List<BriefHomeworkPictureDto> homeworkPictures) {
        this.homeworkPictures = homeworkPictures;
    }

    public void addHomeworkPicture (BriefHomeworkPictureDto homeworkPictureDto){
        this.homeworkPictures.add(homeworkPictureDto);
    }
}
